package rocketBugsRender;
/*
	CheckBoxList ... a 1D column of JCheckBoxes
*/

/*  <RocketBugsRender - for rendering and graphing the output of Zoom (and other programs)>
    Copyright (C) <2007>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.*;
import java.awt.event.*;
import java.lang.Math;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import java.text.*;	

public class CheckBoxList {
	JCheckBox [] list;
	String title;
	int listCt;
	Box lBox = new Box(BoxLayout.Y_AXIS);
	
	public CheckBoxList (String title, String [] names) {
		this.title = title;
		this.listCt = names.length;
		list = new JCheckBox[listCt];
		for (int i=0;i<listCt;i++) {
			list[i] = new JCheckBox(names[i]);
		}
		updateLayout();
	}

	public void updateLayout() {
		lBox.removeAll();
		for (int i=0;i<listCt;i++) {
			lBox.add(list[i]);
		}
	}
	
	public void addToButtonGroup(ButtonGroup bGrp) {
		for (int i=0;i<listCt;i++) {
			bGrp.add(list[i]);
		}
	}
	

}